## mx4j.tools.adaptor.rmi.iiop
Class IIOPAdaptor

    java.lang.Object
      java.rmi.server.RemoteObject
          mx4j.tools.adaptor.rmi.RMIAdaptor
              mx4j.tools.adaptor.rmi.iiop.IIOPAdaptor

All Implemented Interfaces:
  IIOPAdaptorMBean, Invocable, javax.management.MBeanRegistration, java.rmi.Remote, RemoteAdaptor, RMIAdaptorMBean, java.io.Serializable

public class IIOPAdaptor
extends RMIAdaptor
implements IIOPAdaptorMBean

Adaptor for the IIOP protocol, the CORBA default protocol

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`IIOPAdaptor()` Creates a new IIOP adaptor

Method Summary
`java.lang.String` `getProtocol()` Returns the protocol of this adaptor
`boolean` `isRunning()` Returns whether this adaptor has been started and not been stopped.
`void` `start()` Starts this adaptor, so that it can accept incoming calls
`void` `stop()` Stops this adaptor, so that it does not accept incoming calls anymore

Methods inherited from class mx4j.tools.adaptor.rmi.RMIAdaptor
`addInterceptor, bind, clearJNDIProperties, clearNamingProperties, getHostAddress, getHostName, getJNDIName, getJNDIProperties, getMBeanServer, getNamingProperties, getObjectName, installInterceptors, invoke, postDeregister, postRegister, preDeregister, preRegister, putJNDIProperty, putNamingProperty, setJNDIName, setMBeanServer, unbind, uninstallInterceptors`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface mx4j.tools.adaptor.rmi.RMIAdaptorMBean
`clearJNDIProperties, clearNamingProperties, getHostAddress, getHostName, getJNDIName, getJNDIProperties, getNamingProperties, putJNDIProperty, putNamingProperty, setJNDIName`

Constructor Detail

### IIOPAdaptor

    public IIOPAdaptor()

  Creates a new IIOP adaptor

Method Detail

### start

    public void start()
               throws java.rmi.RemoteException,
                      javax.naming.NamingException

  Description copied from interface: `RMIAdaptorMBean`
  Starts this adaptor, so that it can accept incoming calls

  Specified by:
    `start` in interface `RMIAdaptorMBean`
  Specified by:
    `start` in class `RMIAdaptor`
  Throws:
    `java.rmi.RemoteException`
    `javax.naming.NamingException`
  See Also:
    `RMIAdaptor.stop()`, `RMIAdaptor.isRunning()`

### stop

    public void stop()
              throws java.rmi.NoSuchObjectException,
                     javax.naming.NamingException

  Description copied from interface: `RMIAdaptorMBean`
  Stops this adaptor, so that it does not accept incoming calls anymore

  Specified by:
    `stop` in interface `RMIAdaptorMBean`
  Specified by:
    `stop` in class `RMIAdaptor`
  Throws:
    `java.rmi.NoSuchObjectException`
    `javax.naming.NamingException`
  See Also:
    `RMIAdaptor.start()`

### isRunning

    public boolean isRunning()

  Description copied from interface: `RMIAdaptorMBean`
  Returns whether this adaptor has been started and not been stopped.

  Specified by:
    `isRunning` in interface `RMIAdaptorMBean`
  Specified by:
    `isRunning` in class `RMIAdaptor`
  See Also:
    `RMIAdaptor.stop()`

### getProtocol

    public java.lang.String getProtocol()

  Description copied from interface: `RMIAdaptorMBean`
  Returns the protocol of this adaptor

  Specified by:
    `getProtocol` in interface `RMIAdaptorMBean`
  Specified by:
    `getProtocol` in class `RMIAdaptor`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.